--BISO SWW
--hz888

BISO = {}

function BISO.prerequisitesPresent(specializations)
	Vehicle.registerJointType("cutter");
	return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function BISO:load(xmlFile)
end;

function BISO:delete()
end;

function BISO:mouseEvent(posX, posY, isDown, isUp, button)
end;

function BISO:keyEvent(unicode, sym, modifier, isDown)
end;

function BISO:update(dt)
end;

function BISO:draw()
end;

function BISO:onDetach()
    for i=table.getn(self.attachedImplements), 1, -1 do
		self:detachImplement(1);
    end;
end;